rm(list=ls())#clear working space

##library(mkin)#calling the library

update <- FALSE

## checking if a certain library is loaded or not.
if(update==TRUE)
{
    ##remove the older version
    remove.packages('mkin','M:/Personal\ Data/XEmacs/R/win-library/2.12')
    detach("package:mkin")## unload the library
    install.packages('M:/Projects/Resources/Rlib/grplasso_0.4-2.zip',lib='M:/Personal\ Data/XEmacs/R/win-library/2.12')
}else
{
try <- require('mkin')
if(try==FALSE)
{
    ### install and load the library
    ### NOT RUN, first argument is the path to the zip file, second is lib location
	### install all the needed library
	if(require(rootSolve)==FALSE) install.packages('E:/User/PFMEY/R-2.12.1/Packages/rootSolve_1.6.zip')
	if(require(minpack.lm)==FALSE) install.packages('E:/User/PFMEY/R-2.12.1/Packages/minpack.lm_1.1-5.zip')
	if(require(lattice)==FALSE) install.packages('E:/User/PFMEY/R-2.12.1/Packages/lattice_0.19-13.zip')
	if(require(coda)==FALSE) install.packages('E:/User/PFMEY/R-2.12.1/Packages/coda_0.13-5.zip')
	if(require(MASS)==FALSE) install.packages('E:/User/PFMEY/R-2.12.1/Packages/MASS_7.3-9.zip')

	if(require(deSolve)==FALSE) install.packages('E:/User/PFMEY/R-2.12.1/Packages/deSolve_1.8.1.zip')

	if(require(FME)==FALSE) install.packages('E:/User/PFMEY/R-2.12.1/Packages/FME_1.1.zip')





    install.packages('E:/User/PFMEY/R-2.12.1/Packages/mkin_0.8-01.zip')
    require('mkin')
}
}
### Temporary
sourceDir <- function(path, trace = TRUE, ...) {
    for (nm in list.files(path, pattern = "\\.[RrSsQq]$")) {
       if(trace) cat(nm,":")
       source(file.path(path, nm), ...)
       if(trace) cat("\n")
    }
 }
sourceDir('E:/User/PFMEY/R-2.12.1/Sourcefunctions/')
###
time <- c(0,1,2,4,8,14,28,56,91,120)
test2 <- mkinmod.ini(parent = list(type = "DFOP",
                     to = c("M1"),
                     k1 = list(ini   = 0.1,
                     fixed = 0,
                     lower = 0,
                     upper = Inf),
                     k2 = list(ini   = 0.2,
                     fixed = 0,
                     lower = 0,
                     upper = Inf),
                     g  = list(ini   = 0.3,
                     fixed = 0,
                     lower = 0,
                     upper = Inf),
                     M0 = list(ini   = 100,
                     fixed = 0,
                     lower = 0,
                     upper = Inf),
                     FF = list(ini   = c(0.5),
                     fixed = c(0),
                     lower = c(0),
                     upper = c(1)),
                     sink  = TRUE,
                     residue = c(100.00 , 84.46 , 71.48 , 51.56 , 27.61 , 11.65 , 2.08 , 0.11 , 0.00 , 0.00),
                     weight = c(1,1,1,1,1,1,1,1,1,1)),
                     M1     = list(type = "SFO",
                     k  = list(ini   = 0.6,
                     fixed = 0,
                     lower = 0,
                     upper = Inf),
                     residue = c(0.00 , 5.79 , 8.01 , 8.01 , 4.71 , 1.80 , 0.25 , 0.01 , 0.00 , 0.00 ),
                     weight = c(1,1,1,1,1,1,1,1,1,1)))
observed <-  mkin_wide_to_long(as.data.frame(cbind(time,test2$residue)),time= "time")
fit <- mkinfit.ini(test2,observed)
printsummary <- TRUE
if(printsummary==TRUE) list2ascii(summary(fit),file='E:/User/PFMEY/R-2.12.1/Results/ouput0.txt')
fit2 <- IRLSkinfit.ini(test2,observed,plot= TRUE,plottitle='Haha',quiet   = FALSE,control = list(irls.control = list(maxIter = 10, tol = 1e-3)),err = NULL)


## Output Part##

printsummary <- TRUE
## Write the object into something R can read
#if(printsummary==TRUE) dput(summary(fit2),file='E:/User/PFMEY/R-2.12.1/Results/ouput.txt')
## Write the object into a text file
if(printsummary==TRUE) list2ascii(summary(fit2),file='E:/User/PFMEY/R-2.12.1/Results/ouput1.txt')
savefig <- TRUE
if(savefig==TRUE) dev.print(pdf,file='E:/User/PFMEY/R-2.12.1/Results/plot.pdf')
 dev.print(png,filename='E:/User/PFMEY/R-2.12.1/Results/plot.png',height=500, width=500, bg="white")
if(savefig==TRUE) dev.copy2eps()## default, generate an 'Rplot.eps'


## This includes all the arguments for the MCMC methods, but the script can work without specifying the input values, the end user only need to worry about niter, outputlength, burninlength, fitstart.
fit3 <- mcmckinfit.ini(mkinmod=test2,observed=observed,plot = FALSE, quiet = FALSE, err = NULL, weight = "none",scaleVar = FALSE, control=list(),commonsigma=FALSE,jump = NULL,prior = NULL,wvar0=0.1,niter = 1000,outputlength = niter, burninlength = 0, updatecov = niter,ntrydr = 1, drscale = NULL, verbose = TRUE,fitstart=TRUE)
