# Creation Date   : 2011-Mar-18 05:29:58
# KinGUII version : 1.2011.318.11103
# File name       : Trial IRLS SFO  par
# Comments        : 
# sdfsdf
# 
# 
# werwr
# 
# dfgdfdfgdfgdfgdfg dfg df df 

#
# Settings
#

rm(list=ls())
library(mkin)
sourceDir <- function(path, trace = TRUE, ...) {
    for (nm in list.files(path, pattern = "\\.[RrSsQq]$")) {
       if(trace) cat(nm,":")
       source(file.path(path, nm), ...)
       if(trace) cat("\n")
    }
 }


sourceDir('E:/user/pfmey/R-2.12.1/Sourcefunctions/')


#
# Residue data, pathway and kinetics
#

 Trial <- mkinmod.gui(
        par = list(
       time = c(  0.0,   2.4,   6.3,  13.3,  31.0,  54.3,  77.1, 109.9, 120.0),
    residue = c(261.8, 208.5,   221,   285, 111.5,    83,  46.7,  26.9,  13.7),
     weight = c(    1,     1,     1,     1,     1,     1,     1,     1,     1),
                      to = c("FOEsa"),
         FF = list(ini   = c(0.50),
                   fixed = c(1),
                   lower = c(0.0),
                   upper = c(1.0)),
                   sink  = TRUE,
       type = "SFO",
          k = list(ini   = 0.022,
                   fixed = 0,
                   lower = 0.0,
                   upper = Inf),
         M0 = list(ini   = 261.8,
                   fixed = 0,
                   lower = 0.0,
                   upper = Inf)),
      FOEsa = list(
       time = c(  0.0,   2.4,   6.3,  13.3,  31.0,  54.3,  77.1, 109.9, 120.0),
    residue = c(    0,   NA,   1.5,     8,     8,     8,     8,  14.5,     3),
     weight = c(    1,     1,     1,     1,     1,     1,     1,     1,     1),
                      to = c("FOEox"),
         FF = list(ini   = c(1),
                   fixed = c(1),
                   lower = c(0.0),
                   upper = c(1.0)),
                   sink  = FALSE,
       type = "SFO",
          k = list(ini   = 0.142,
                   fixed = 0,
                   lower = 0.0,
                   upper = Inf),
         M0 = list(ini   = 0,
                   fixed = 0,
                   lower = 0.0,
                   upper = Inf)),
      FOEox = list(
       time = c(  0.0,   2.4,   6.3,  13.3,  31.0,  54.3,  77.1, 109.9, 120.0),
    residue = c(    0,   NA,   1.5,     8,     8,     8,     8,   1.5,   NA),
     weight = c(    1,     1,     1,     1,     1,     1,     1,     1,     1),
                      to = c("FOEsa"),
         FF = list(ini   = c(0.50),
                   fixed = c(0),
                   lower = c(0.0),
                   upper = c(1.0)),
                   sink  = TRUE,
       type = "SFO",
          k = list(ini   = 0.133,
                   fixed = 0,
                   lower = 0.0,
                   upper = Inf),
         M0 = list(ini   = 0,
                   fixed = 0,
                   lower = 0.0,
                   upper = Inf)))

#
# Fit and optimizer
#

  Fit    <- IRLSkinfit.gui(
            Trial,
               eigen     = FALSE,
               plot      = FALSE,
               quiet     = FALSE,
               ctr       = kingui.control(
                               method = 'L-BFGS-B',
                              maxIter = 3,
                            tolerance = 1E-06,
                            odesolver = 'lsoda'),
            irls.control = list(
                              maxIter = 0,
                            tolerance = 0.001))

#
# Output
#

 list2ascii(
            summary(Fit,cov = TRUE),
            'E:/user/pfmey/Trial IRLS SFO par.kgo')

   kingraph(Fit,
            'E:/user/pfmey/Trial_IRLS_SFO_par.kgg')

  dev.print(png,
            'E:/user/pfmey/Trial_IRLS_SFO_par.png')


#
# End of R-script
#
